[git] GPG-ERROR - branch, gniibe/pkg-config-support, updated. libgpg-error-1.32-29-gfa2855d
by NIIBE Yutaka
cvs at cvs.gnupg.org
Wed Sep 5 04:46:40 CEST 2018
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "Error codes used by GnuPG et al.".
The branch, gniibe/pkg-config-support has been updated
via fa2855d9470ed4f367ca90cd46c27050359cfb62 (commit)
from f77c9687187419ee8e5bb7b3a2981199ca6a1332 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit fa2855d9470ed4f367ca90cd46c27050359cfb62
Author: NIIBE Yutaka <gniibe at fsij.org>
Date: Wed Sep 5 11:45:45 2018 +0900
Forward compatibility support by gpg-error-config-old (--variable=*).
diff --git a/src/Makefile.am b/src/Makefile.am
index d631ee2..180f269 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -336,7 +336,7 @@ gpgrt-config: gpg-error-config
cp gpg-error-config gpgrt-config
gpg-error-config: gpg-error-config-new gpg-error-config-old
- @echo "Confirm gpg-error-config works... "
+ @echo -n "Confirm gpg-error-config works... "
@if $(srcdir)/gpg-error-config-test.sh --old-new; then \
echo "good"; \
cp gpg-error-config-new $@; \
diff --git a/src/gpg-error-config-test.sh b/src/gpg-error-config-test.sh
index a9a6b8d..7f97ead 100755
--- a/src/gpg-error-config-test.sh
+++ b/src/gpg-error-config-test.sh
@@ -61,6 +61,18 @@ if [ "$PKG_CONFIG_CMD" = ./gpg-error-config-old ]; then
OUTPUT_OLD=$($PKG_CONFIG_CMD --mt --cflags --libs)
OUTPUT_NEW=$(./gpg-error-config-new --mt --cflags --libs)
[ "$OUTPUT_OLD" = "$OUTPUT_NEW" ] || failure --mt --cflags --libs
+
+ OUTPUT_OLD=$($PKG_CONFIG_CMD --variable=mtcflags)
+ OUTPUT_NEW=$(./gpg-error-config-new --variable=mtcflags)
+ [ "$OUTPUT_OLD" = "$OUTPUT_NEW" ] || failure --variable=mtcflags
+
+ OUTPUT_OLD=$($PKG_CONFIG_CMD --variable=mtlibs)
+ OUTPUT_NEW=$(./gpg-error-config-new --variable=mtlibs)
+ [ "$OUTPUT_OLD" = "$OUTPUT_NEW" ] || failure --variable=mtlibs
+
+ OUTPUT_OLD=$($PKG_CONFIG_CMD --variable=host)
+ OUTPUT_NEW=$(./gpg-error-config-new --variable=host)
+ [ "$OUTPUT_OLD" = "$OUTPUT_NEW" ] || failure --variable=host
fi
if [ -n "$test_failed" ]; then
diff --git a/src/gpg-error-config.in b/src/gpg-error-config.in
index 93f25f7..e050632 100644
--- a/src/gpg-error-config.in
+++ b/src/gpg-error-config.in
@@ -67,6 +67,16 @@ while test $# -gt 0; do
echo "@PACKAGE_VERSION@"
exit 0
;;
+ --variable=*)
+ case "${1#*=}" in
+ prefix) echo "$prefix" ;;
+ exec_prefix) echo "$exec_prefix" ;;
+ host) echo "@GPG_ERROR_CONFIG_HOST@" ;;
+ mtcflags) echo "@GPG_ERROR_CONFIG_MT_CFLAGS@" ;;
+ mtlibs) echo "@GPG_ERROR_CONFIG_MT_LIBS@";;
+ esac
+ exit 0
+ ;;
--cflags)
output="$output @GPG_ERROR_CONFIG_CFLAGS@"
if test $mt = yes ; then
-----------------------------------------------------------------------
Summary of changes:
src/Makefile.am | 2 +-
src/gpg-error-config-test.sh | 12 ++++++++++++
src/gpg-error-config.in | 10 ++++++++++
3 files changed, 23 insertions(+), 1 deletion(-)
hooks/post-receive
--
Error codes used by GnuPG et al.
http://git.gnupg.org
More information about the Gnupg-commits
mailing list